<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{videoedit.html}"
>
<head>
    <title>Video track</title>
    <!--    <link rel="stylesheet" th:href="@{/css/newspaceship.css}" type="text/css"/>-->
</head>

<body>
<div layout:fragment="content_videoedit">
    <h1>Video track</h1>
    <p>Video track is set of videofiles, typicaly for 5 devices</p>
    <div id="videoTrackDetail">
    </div>
    <table class="table">
        <thead class="thead-dark">
        <tr>
            <th scope="col">Id</th>
            <th scope="col">Display set</th>
            <th scope="col">Name</th>
            <th scope="col">Duration</th>
            <th scope="col">Track types</th>
            <th scope="col">Description</th>
            <th scope="col">Created by</th>
            <th scope="col">Created</th>
            <th scope="col"></th>

        </tr>
        </thead>
        <tbody>
        <tr th:if="${videotracks.isEmpty()}">
            <td scope="row"> No users to be displayed</td>
        </tr>
        <tr th:each="videotrack : ${videotracks}">
            <td scope="row"><span th:text="${videotrack.getId()}"> Id </span></td>
            <td><span th:text="${videotrack.getDisplaySet()}"> display set Id </span></td>

            <td><span th:text="${videotrack.getName()}"> name </span></td>
            <td><span th:text="${videotrack.getDuration()}"> duration </span></td>
            <td><span th:text="${videotrack.getTrackType()}"> trackTypes </span></td>
            <td><span th:text="${videotrack.getDescription()}"> description </span></td>
            <td><span th:text="${videotrack.getCreatedByUsername()}"> createdby </span></td>
            <td><span th:text="${videotrack.getCreatedCet()}"> created </span></td>
            <td>
                <div class="dropdown show">
                    <a class="btn btn-secondary dropdown-toggle" href="#" role="button" id="dropdownMenuLink"
                       data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                        More
                    </a>

                    <div class="dropdown-menu" aria-labelledby="dropdownMenuLink">
                        <button class="dropdown-item video-track-detail" th:value="${videotrack.getId()}">Details</button>

                    </div>
                </div>
            </td>

        </tr>
        </tbody>
    </table>


    <div id="createVideoTrack">
        <div th:replace="fragments/videoTrackFragments :: displayTrackCreate"></div>

    </div>


</div>

</body>

<div layout:fragment="content_js_secondary">
    <script type="module" src="/js/displaytrack.js"></script>
</div>